### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »

# collada.scene.Transform

class `collada.scene.``Transform`

  Bases: `collada.common.DaeObject`

  Base class for all transformation types

  `__init__`()

    x.__init__(...) initializes x; see help(type(x)) for signature

  Methods

  `load`(collada, localscope, node) | Load and return a class instance from an XML node.
  `save`() |

  static `load`(collada, localscope, node)

    Load and return a class instance from an XML node.

    Inspect the data inside node, which must match this class tag and create an instance out of it.

    Parameters:

    - collada (collada.Collada) – The collada file object where this object lives
    - localscope (dict) – If there is a local scope where we should look for local ids (sid) this is the dictionary. Otherwise empty dict ({})
    - node – An Element from python’s ElementTree API

### Navigation

- index
- modules |
- next |
- previous |
- pycollada 0.4 documentation »
- API Reference »